/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */

using System;
using System.IO;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Reflection;
using RestSharp;
using Xunit;

using Coscine.ApiClient.Core.Client;
using Coscine.ApiClient.Core.Api;
// uncomment below to import models
//using Coscine.ApiClient.Core.Model;

namespace Coscine.ApiClient.Core.Test.Api
{
    /// <summary>
    ///  Class for testing TitleApi
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the API endpoint.
    /// </remarks>
    public class TitleApiTests : IDisposable
    {
        private TitleApi instance;

        public TitleApiTests()
        {
            instance = new TitleApi();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of TitleApi
        /// </summary>
        [Fact]
        public void InstanceTest()
        {
            // TODO uncomment below to test 'IsType' TitleApi
            //Assert.IsType<TitleApi>(instance);
        }

        /// <summary>
        /// Test ApiV2TitlesOptions
        /// </summary>
        [Fact]
        public void ApiV2TitlesOptionsTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //instance.ApiV2TitlesOptions();
        }

        /// <summary>
        /// Test GetTitle
        /// </summary>
        [Fact]
        public void GetTitleTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //Guid titleId = null;
            //var response = instance.GetTitle(titleId);
            //Assert.IsType<TitleDtoResponse>(response);
        }

        /// <summary>
        /// Test GetTitles
        /// </summary>
        [Fact]
        public void GetTitlesTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //int? pageNumber = null;
            //int? pageSize = null;
            //string? orderBy = null;
            //var response = instance.GetTitles(pageNumber, pageSize, orderBy);
            //Assert.IsType<TitleDtoIEnumerableResponse>(response);
        }
    }
}
